summaryrefslogtreecommitdiff
path: root/t/t3902-quoted.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/t3902-quoted.sh')
-rwxr-xr-xt/t3902-quoted.sh22
1 files changed, 12 insertions, 10 deletions
diff --git a/t/t3902-quoted.sh b/t/t3902-quoted.sh
index 147e634cd6..f528008c36 100755
--- a/t/t3902-quoted.sh
+++ b/t/t3902-quoted.sh
@@ -10,16 +10,16 @@ test_description='quoted output'
FN='濱野'
GN='純'
HT=' '
-LF='
-'
DQ='"'
+test_have_prereq MINGW ||
echo foo 2>/dev/null > "Name and an${HT}HT"
-test -f "Name and an${HT}HT" || {
- # since FAT/NTFS does not allow tabs in filenames, skip this test
- skip_all='Your filesystem does not allow tabs in filenames, test skipped.'
+if ! test -f "Name and an${HT}HT"
+then
+ # FAT/NTFS does not allow tabs in filenames
+ skip_all='Your filesystem does not allow tabs in filenames'
test_done
-}
+fi
for_each_name () {
for name in \
@@ -31,21 +31,22 @@ for_each_name () {
done
}
-test_expect_success setup '
+test_expect_success 'setup' '
mkdir "$FN" &&
- for_each_name "echo initial >\"\$name\""
+ for_each_name "echo initial >\"\$name\"" &&
git add . &&
git commit -q -m Initial &&
for_each_name "echo second >\"\$name\"" &&
- git commit -a -m Second
+ git commit -a -m Second &&
for_each_name "echo modified >\"\$name\""
'
-cat >expect.quoted <<\EOF
+test_expect_success 'setup expected files' '
+cat >expect.quoted <<\EOF &&
Name
"Name and a\nLF"
"Name and an\tHT"
@@ -72,6 +73,7 @@ With SP in it
濱野/file
濱野純
EOF
+'
test_expect_success 'check fully quoted output from ls-files' '